package com.mortals.xhx.common.utils;

import com.documents4j.api.IConverter;
import com.documents4j.job.LocalConverter;

public class SingletonLocalConverter {

    private IConverter converter;

    public IConverter getConverter() {
        return converter;
    }

    private SingletonLocalConverter() {
        converter = LocalConverter.builder().build();
    }
    private static SingletonLocalConverter single = null;

    public static SingletonLocalConverter getInstance(){
        if (single == null) {
            single = new SingletonLocalConverter();
        }
        return single;
    }

}
